<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Directions to East Hill Farm</title>
<!-- Time-stamp: "2009-03-28 11:37:20 gildea" -->
</head>

<body bgcolor="#ffffff">
<h1>Directions to The Inn at East Hill Farm</h1>
<p>
The Inn at East Hill Farm<br>
460 Monadnock St.<br>
Troy, NH 03465<br>
603-242-6495<br>
(<a href="http://maps.google.com/maps?q=East+Hill+Farm@42.8385,-72.1455&amp;t=m&amp;z=13&amp;ll=42.83,-72.135&amp;iwloc=n">Google maps</a>)
<p>
From the Boston area:
<p>
Rte 2 West about 23 miles beyond I-495.<br>
North on Rte 140 at exit 24B.  (Do not take exit 31 to Rte 12.
  Do not take exit 25 to 140 south.)<br>
Rte 140 becomes Rte 12 N after 10 miles.<br>
Continue north on Rte 12 for another 14 miles through Fitzwilliam, NH, 
  and on to Troy.<br>
Pass Troy Fire Department on your left.  1/2 mile later, about four tenths of a mile after NH mile mark 8.8 (there are no further mile markers),<br>
Right at the traffic triangle onto Monadnock St. (marked with a red street sign), which goes only right.<br>
There is a brick library building on the far right corner,
signs for Jaffrey and Monadnock St. Park,
and a small sign saying "Inn at E. Hill Farms".<br>
  (If you come to the Troy green on your left, you have gone about 1/4
  mile too far.)<br>
Proceed straight, passing a factory (Troy Mills) on the left in the
first 1/8 to 1/4 mile, up and down hills, for 2.2 miles.<br>
At the large sign for the Inn, turn left into the driveway.<br>
<p>
See also the
<a href="http://www.east-hill-farm.com/">East Hill Farm web site</a>,
and
<a href="http://www.east-hill-farm.com/directions.htm">their directions</a>.
<p>
The drive from Cambridge takes about 1.5 hours.
<p>
[updated March 2009]
</p>
<hr>
<p>
Up to <a href="./">Directions table of contents</a><br>
Top: <a href="../">Tech Squares main page</a><br>
</body>
</html>
